Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch an endpoint request timeline

GET/apps/{id}/networkRequests/plots/timeline

Fetch the request timeline for the app or an optional endpoint selection.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last seven days time range if not supplied. Results include up to 10 endpoint patterns. interval is the time bucket size in seconds. elapsed represents seconds of elapsed time within sessions. count is the average request count per session for that endpoint in that bucket.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.

to?string

ISO 8601 UTC string in milliseconds precision. Example: 2023-11-01T18:30:00.000Z. Omitting both from and to returns the last seven days.

domain?string

Exact domain or * wildcard pattern.

path?string

Exact path or a * or trailing ** pattern. Without a domain, searches every domain.

versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

device_names?string

List of comma separated device name identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

countries?string

List of comma separated country code identifier strings.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/plots/timeline"
{  "interval": 5,  "points": [    {      "elapsed": 0,      "domain": "api.example.com",      "path_pattern": "/api/users",      "count": 125.5    },    {      "elapsed": 5,      "domain": "api.example.com",      "path_pattern": "/api/users",      "count": 128.3    },    {      "elapsed": 0,      "domain": "cdn.example.com",      "path_pattern": "/images/avatar.png",      "count": 45.2    }  ]}

Think this page can be better?

Open an issue